> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tryhamsa.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Jobs List



## OpenAPI

````yaml /api-reference/openapi.json post /v1/jobs/all
openapi: 3.0.1
info:
  title: Hamsa API
  description: Trying out our transcription and media-to-text APIs
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.tryhamsa.com
security: []
paths:
  /v1/jobs/all:
    post:
      summary: Get a list of jobs
      parameters:
        - name: projectId
          in: query
          schema:
            type: string
          required: true
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/JobsRequest'
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/JobsResponse'
        '400':
          description: Bad request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorSchema'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorSchema'
      security:
        - ApiKeyAuth: []
components:
  schemas:
    JobsRequest:
      type: object
      properties:
        sort:
          $ref: '#/components/schemas/SortOptions'
        take:
          type: integer
          minimum: 1
        skip:
          type: integer
          minimum: 1
        search:
          type: string
        status:
          type: string
          enum:
            - PENDING
            - COMPLETED
            - FAILED
        type:
          type: string
          enum:
            - TRANSCRIPTION
            - TRANSLATION
            - TTS
            - AI_CONTENT
    JobsResponse:
      type: object
      properties:
        success:
          type: boolean
          default: false
        message:
          type: string
          default: success
        data:
          $ref: '#/components/schemas/JobsData'
    ErrorSchema:
      type: object
      properties:
        code:
          type: integer
        message:
          type: string
    SortOptions:
      type: object
      properties:
        field:
          type: string
          enum:
            - createdAt
            - model
            - totalCost
            - usageTime
            - status
        direction:
          type: string
          enum:
            - asc
            - desc
    JobsData:
      type: object
      properties:
        jobs:
          type: array
          items:
            $ref: '#/components/schemas/Job'
        total:
          type: integer
        filtered:
          type: integer
    Job:
      type: object
      properties:
        id:
          type: string
        title:
          type: string
        type:
          type: string
          enum:
            - AI_CONTENT
            - TRANSCRIPTION
            - TTS
            - TRANSLATION
        url:
          type: string
          format: uri
        status:
          type: string
          enum:
            - PENDING
            - COMPLETED
            - FAILED
        cost:
          type: number
        systemModelKey:
          type: string
        relevantJobId:
          type: string
        attributes:
          type: object
          properties:
            apiKey:
              type: string
            mediaUrl:
              type: string
              format: uri
            model:
              type: string
            agentName:
              type: string
            duration:
              type: number
            voice:
              type: string
            aiContentParts:
              type: array
              enum:
                - introduction
                - titles
                - summary
                - webArticleSEOFriendly
                - keyTopicsWithBullets
                - keyTopicsWithBullets
                - keywords
                - threadsByInstagram
                - faq
                - facebookPost
                - youtubeDescription
                - twitterThread
                - linkedInPost
            sourceJob:
              type: string
          required:
            - apiKey
        apiKey:
          type: string
        createdBy:
          type: string
        createdAt:
          type: string
          format: date-time
        updatedAt:
          type: string
          format: date-time
      required:
        - id
        - title
        - type
        - url
        - status
        - cost
        - systemModelKey
        - relevantJobId
        - attributes
        - createdAt
        - updatedAt
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: Authorization
      description: >-
        Pass the API key in the Authorization header, You need to put Token
        keyword before the API key. e.g. 'Authorization: Token <api-key>'

````